Bug 1575801 - OCP 3.7.23 to 3.7.44 Upgrade fails with error "metadata.resourceVersion: Invalid value: 0x0: must be specified for an update" [NEEDINFO]
Summary: OCP 3.7.23 to 3.7.44 Upgrade fails with error "metadata.resourceVersion: Inva...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.7.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.7.z
Assignee: Stefan Schimanski
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 00:52 UTC by Venkata Tadimarri
Modified: 2019-11-07 11:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 11:23:18 UTC
Target Upstream Version:
jliggitt: needinfo? (ktadimar)


Attachments (Terms of Use)

Description Venkata Tadimarri 2018-05-08 00:52:04 UTC
Description of problem:
-> Upgrading from 3.7.23 to 3.7.44 fails with the error

-> Deleting the project request template before upgrading seems to alleviatre the problem. 

Version-Release number of the following components:
rpm -q openshift-ansible
rpm -q ansible
ansible --version

How reproducible:

Upgrade from 3.7.23 to 3.7.44 without deleting the project request template

Steps to Reproduce:
1.
2.
3.

Actual results:


```
TASK [openshift_project_request_template : Create or update project request template] ***
fatal: [hostname.example.com]: FAILED! => {"changed": true, "cmd": ["oc", "--config", "/etc/origin/master/admin.kubeconfig", "--namespace", "default", "apply", "--filename", "/tmp/openshift-ansible-KnDekj.yaml"], "delta": "0:00:01.164031", "end": "2018-05-02 15:01:51.351039", "msg": "non-zero return code", "rc": 1, "start": "2018-05-02 15:01:50.187008", "stderr": "The templates \\"project-request\\" is invalid: metadata.resourceVersion: Invalid value: 0x0: must be specified for an update", "stderr_lines": ["The templates \\"project-request\\" is invalid: metadata.resourceVersion: Invalid value: 0x0: must be specified for an update"], "stdout": "", "stdout_lines": []}

```


Expected results:

Upgrade should complete

Additional info:
Logs attached

Comment 4 Scott Dodson 2018-05-08 12:57:24 UTC
This is simply running `oc apply` against the template from comment 3. It seems like `oc apply` is not behaving as expected.

Comment 7 Venkata Tadimarri 2018-05-14 00:21:48 UTC
rpm versions:
openshift-ansible-3.7.42-1.git.2.9ee4e71.el7.noarch
ansible-2.4.3.0-1.el7.ans.noarch
#ansible --version
ansible 2.4.3.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/root/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/site-packages/ansible
  executable location = /usr/bin/ansible
  python version = 2.7.5 (default, Aug  4 2017, 00:39:18) [GCC 4.8.5 20150623 (Red Hat 4.8.5-16)]


I will get back with the requested information (templates)

Comment 9 Jordan Liggitt 2018-05-14 00:55:27 UTC
yes, export strips important information

the exact template as it exists retrieved from the API, and the exact template being applied are what is needed


Note You need to log in before you can comment on or make changes to this bug.